Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::ObjectInstanceCreator< T > Struct Template Reference

The ObjectInstanceCreator struct template is a collection of static methods that provide the means for creating instances of object types dynamically. More...

List of all members.

## Static Public Member Functions
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14, typename P15> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10, Value &a11, Value &a12, Value &a13, Value &a14, Value &a15)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10, Value &a11, Value &a12, Value &a13, Value &a14)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10, Value &a11, Value &a12, Value &a13)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10, Value &a11, Value &a12)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10, Value &a11)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9, Value &a10)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8, Value &a9)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7, Value &a8)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6, Value &a7)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5, Value &a6)
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4, Value &a5)
template<typename P0, typename P1, typename P2, typename P3, typename P4> Value | create (Value &a0, Value &a1, Value &a2, Value &a3, Value &a4)
template<typename P0, typename P1, typename P2, typename P3> Value | create (Value &a0, Value &a1, Value &a2, Value &a3)
template<typename P0, typename P1, typename P2> Value | create (Value &a0, Value &a1, Value &a2)
template<typename P0, typename P1> Value | create (Value &a0, Value &a1)
template<typename P0> Value | create (Value &a0)
Value | create ()

## Detailed Description

### template<typename T>
struct osgIntrospection::ObjectInstanceCreator< T >

The ObjectInstanceCreator struct template is a collection of static methods that provide the means for creating instances of object types dynamically.

Such methods are usually called from within TypedConstructorInfo{n}::createInstance().

## Member Function Documentation

template<typename T>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( |  | ) | `[inline, static]`

template<typename T>
template<typename P0>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0 | ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10,
|  | Value & | a11
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10,
|  | Value & | a11,
|  | Value & | a12
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10,
|  | Value & | a11,
|  | Value & | a12,
|  | Value & | a13
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10,
|  | Value & | a11,
|  | Value & | a12,
|  | Value & | a13,
|  | Value & | a14
| ) | `[inline, static]`

template<typename T>
template<typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14, typename P15>
Value osgIntrospection::ObjectInstanceCreator< T >::create | ( | Value & | a0,
|  | Value & | a1,
|  | Value & | a2,
|  | Value & | a3,
|  | Value & | a4,
|  | Value & | a5,
|  | Value & | a6,
|  | Value & | a7,
|  | Value & | a8,
|  | Value & | a9,
|  | Value & | a10,
|  | Value & | a11,
|  | Value & | a12,
|  | Value & | a13,
|  | Value & | a14,
|  | Value & | a15
| ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- InstanceCreator